package cn.dg32z.lon.utils.data;

import cn.dg32z.libs.com.github.retrooper.packetevents.manager.server.ServerVersion;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.entity.type.EntityTypes;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion;
import cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3d;
import cn.dg32z.lon.LonAntiCheat;
import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox;
import cn.dg32z.lon.utils.data.packetentity.PacketEntity;
import java.security.MessageDigest;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

/* loaded from: cn_dg32z_lon_utils_data.jar:cn/dg32z/lon/utils/data/ReachInterpolationData.class */
public final class ReachInterpolationData {
    private final PacketEntity entity;
    private int interpolationStepsHighBound;
    private int interpolationSteps;
    private int interpolationStepsLowBound;
    private boolean expandNonRelative;
    private SimpleCollisionBox startingLocation;
    private final PlayerData player;
    private final SimpleCollisionBox targetLocation;
    static Object a;

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public String toString() {
        return "ReachInterpolationData{targetLocation=" + String.valueOf(this.targetLocation) + ", startingLocation=" + String.valueOf(this.startingLocation) + ", interpolationStepsLowBound=" + this.interpolationStepsLowBound + ", interpolationStepsHighBound=" + this.interpolationStepsHighBound + "}";
    }

    public ReachInterpolationData(PlayerData playerData, SimpleCollisionBox simpleCollisionBox, TrackedPosition trackedPosition, PacketEntity packetEntity) {
        this.interpolationStepsLowBound = 0;
        this.interpolationStepsHighBound = 0;
        this.interpolationSteps = 1;
        this.expandNonRelative = false;
        boolean z = !playerData.isRiding() && playerData.getClientVersion().isNewerThanOrEquals(ClientVersion.V_1_9);
        this.startingLocation = simpleCollisionBox;
        Vector3d pos = trackedPosition.getPos();
        this.targetLocation = new SimpleCollisionBox(pos.x, pos.y, pos.z, pos.x, pos.y, pos.z, false);
        this.player = playerData;
        this.entity = packetEntity;
        if (!z && LonAntiCheat.getInstance().getPacketEventsManager().getServerVersion().isNewerThanOrEquals(ServerVersion.V_1_9)) {
            this.targetLocation.expand(0.03125d);
        }
        if (packetEntity.isBoat()) {
            this.interpolationSteps = 10;
        } else if (packetEntity.isMinecart()) {
            this.interpolationSteps = 5;
        } else if (packetEntity.getType() == EntityTypes.SHULKER) {
            this.interpolationSteps = 1;
        } else if (packetEntity.isLivingEntity()) {
            this.interpolationSteps = 3;
        } else {
            this.interpolationSteps = 1;
        }
        if (z) {
            this.interpolationStepsHighBound = getInterpolationSteps();
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x01a5, code lost:
    
        if ((710.3159f - 12.302542f) == 698.01337f) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x01d3, code lost:
    
        if (r35 > r20.interpolationStepsHighBound) goto L43;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x01e1, code lost:
    
        if ((877.079345703125d - 0.3d) == 876.77936f) goto L53;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0123, code lost:
    
        r34 = getOverlapHitbox(r34, new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox(r20.startingLocation.minX + (r35 * r0), r20.startingLocation.minY + (r35 * r26), r20.startingLocation.minZ + (r35 * r30), r20.startingLocation.maxX + (r35 * r0), r20.startingLocation.maxY + (r35 * r28), r20.startingLocation.maxZ + (r35 * r32)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x018f, code lost:
    
        if ((675.1328125d - 0.4d) == 674.7328f) goto L51;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x0232, code lost:
    
        return r34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x01cd, code lost:
    
        r35 = r35 + 1;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:19:0x01a5 -> B:14:0x004d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x01e1 -> B:14:0x004d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:25:0x018f -> B:16:0x0072). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public cn.dg32z.lon.utils.collisions.datatypes.CollisionBox getOverlapLocationCombined() {
        /*
            Method dump skipped, instructions count: 571
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.ReachInterpolationData.getOverlapLocationCombined():cn.dg32z.lon.utils.collisions.datatypes.CollisionBox");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void updatePossibleStartingLocation(SimpleCollisionBox simpleCollisionBox) {
        do {
            this.startingLocation = combineCollisionBox(this.startingLocation, simpleCollisionBox);
        } while (1228.0652f - 13.765726f != 1214.2994f);
    }

    /* JADX WARN: Code restructure failed: missing block: B:12:0x01a6, code lost:
    
        if ((1062.14501953125d - 0.2d) != 1061.9451f) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x01d2, code lost:
    
        r34 = combineCollisionBox(r34, new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox(r20.startingLocation.minX + (r35 * r22), r20.startingLocation.minY + (r35 * r26), r20.startingLocation.minZ + (r35 * r30), r20.startingLocation.maxX + (r35 * r24), r20.startingLocation.maxY + (r35 * r28), r20.startingLocation.maxZ + (r35 * r32)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x023f, code lost:
    
        if ((1166.1844482421875d - 0.6d) != 1165.5845f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0028, code lost:
    
        r35 = r35 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0083, code lost:
    
        r32 = (r20.targetLocation.maxZ - r20.startingLocation.maxZ) / r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x00a3, code lost:
    
        if ((669.7467651367188d - 0.7d) == 669.04675f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x00f3, code lost:
    
        r34 = new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox(r20.startingLocation.minX + (r20.interpolationStepsLowBound * r22), r20.startingLocation.minY + (r20.interpolationStepsLowBound * r26), r20.startingLocation.minZ + (r20.interpolationStepsLowBound * r30), r20.startingLocation.maxX + (r20.interpolationStepsLowBound * r24), r20.startingLocation.maxY + (r20.interpolationStepsLowBound * r28), r20.startingLocation.maxZ + (r20.interpolationStepsLowBound * r32));
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0166, code lost:
    
        if ((1406.0522f - 7.133936f) != 1398.9183f) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0044, code lost:
    
        r35 = r20.interpolationStepsLowBound + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0057, code lost:
    
        if ((525.1730346679688d - 0.2d) != 524.973f) goto L43;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0191, code lost:
    
        r35 = r35 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x00ce, code lost:
    
        r24 = (r20.targetLocation.maxX - r20.startingLocation.maxX) / r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x00ed, code lost:
    
        if ((889.8396f - 5.5657854f) == 884.2738f) goto L27;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x016c, code lost:
    
        r26 = (r20.targetLocation.minY - r20.startingLocation.minY) / r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x018b, code lost:
    
        if ((831.79834f - 14.351803f) != 817.44653f) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x01cc, code lost:
    
        if ((1167.1116943359375d - 0.4d) == 1166.7117f) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x00c8, code lost:
    
        if ((1310.48291015625d - 0.2d) != 1310.283f) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0197, code lost:
    
        if (r35 > r20.interpolationStepsHighBound) goto L4;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:19:0x0166 -> B:13:0x01d2). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:21:0x0057 -> B:6:0x0191). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:23:0x00ed -> B:26:0x005d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:25:0x018b -> B:26:0x005d). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox getPossibleLocationCombined() {
        /*
            Method dump skipped, instructions count: 583
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.ReachInterpolationData.getPossibleLocationCombined():cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox");
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0073, code lost:
    
        if ((1103.5425f - 10.744667f) == 1092.7979f) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0079, code lost:
    
        r21 = java.lang.Math.min(r15.minY, r16.minY);
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0092, code lost:
    
        if ((627.9879760742188d - 0.6d) == 627.388f) goto L18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x00b6, code lost:
    
        r25 = java.lang.Math.min(r15.minZ, r16.minZ);
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x00cf, code lost:
    
        if ((1047.822998046875d - 0.2d) != 1047.623f) goto L9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0098, code lost:
    
        r23 = java.lang.Math.max(r15.maxY, r16.maxY);
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x00b0, code lost:
    
        if ((833.3946f - 8.340896f) != 825.0537f) goto L9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0055, code lost:
    
        if ((679.4807f - 10.748116f) == 668.7326f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x00e7, code lost:
    
        return new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox(r0, r21, r25, r19, r23, r27);
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0020, code lost:
    
        r19 = java.lang.Math.max(r15.maxX, r16.maxX);
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0038, code lost:
    
        if ((960.92224f - 13.829097f) != 947.09314f) goto L9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x005b, code lost:
    
        r27 = java.lang.Math.max(r15.maxZ, r16.maxZ);
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox combineCollisionBox(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r15, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r16) {
        /*
            Method dump skipped, instructions count: 234
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.ReachInterpolationData.combineCollisionBox(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox, cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox):cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox");
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:59)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:19)
        */
    /* JADX WARN: Removed duplicated region for block: B:12:0x005e A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:14:0x0026 A[SYNTHETIC] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:8:0x0058 -> B:5:0x0003). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void tickMovement(boolean r6, boolean r7) {
        /*
            r5 = this;
            goto L5e
        L3:
            r0 = r5
            r1 = r5
            int r1 = r1.interpolationStepsHighBound
            r2 = 1
            int r1 = r1 + r2
            r2 = r5
            int r2 = r2.getInterpolationSteps()
            int r1 = java.lang.Math.min(r1, r2)
            r0.interpolationStepsHighBound = r1
            r0 = 4651351030322167808(0x408ceb1e40000000, double:925.3897705078125)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1147613836(0x4467328c, float:924.7898)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L3c
            goto L26
        L26:
            return
        L27:
            r0 = r6
            if (r0 == 0) goto L3
            r0 = 1147238770(0x44617972, float:901.8976)
            r1 = 1094094319(0x41368def, float:11.409652)
            float r0 = r0 - r1
            r1 = 1147051834(0x445e9f3a, float:890.4879)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L3c
            goto L26
        L3c:
            r0 = r5
            r1 = r5
            int r1 = r1.interpolationStepsLowBound
            r2 = 1
            int r1 = r1 + r2
            r2 = r5
            int r2 = r2.getInterpolationSteps()
            int r1 = java.lang.Math.min(r1, r2)
            r0.interpolationStepsLowBound = r1
            r0 = 1150306890(0x44904a4a, float:1154.3215)
            r1 = 1086898943(0x40c8c2ff, float:6.273803)
            float r0 = r0 - r1
            r1 = 1150255495(0x448f8187, float:1148.0477)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L5e
            goto L3
        L5e:
            r0 = r7
            if (r0 != 0) goto L27
            r0 = r5
            r1 = r5
            int r1 = r1.getInterpolationSteps()
            r0.interpolationStepsHighBound = r1
            r0 = 1150481789(0x4492f57d, float:1175.6715)
            r1 = 1094743749(0x414076c5, float:12.028996)
            float r0 = r0 - r1
            r1 = 1150383247(0x4491748f, float:1163.6425)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L5e
            goto L27
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.ReachInterpolationData.tickMovement(boolean, boolean):void");
    }

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "Â\u008eÏÚ\u0016À8\u008cØ\u0014k5\u001f±\u0087Á9Þ\u0089ø\u009e¯\u0087Cq\u0082\u007f\u0002lß·1<\u0001ú`·¬w|\u001f\t\b\u0093A Ãr\u0016\u008c[ï´\u001a\u008fì\u00981¿QÐ[þÚZ\u0005\u001a¹@! o°Ó.Ãp=Ä5ï6\u000bíä\búG".getBytes("ISO_8859_1");
        byte[] bytes2 = "\u0015\u001bü<��h3d".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = 315282831;
                    break;
                case true:
                    i = 473389087;
                    break;
                case true:
                    i = 1163138049;
                    break;
                case true:
                    i = 1379189519;
                    break;
                case true:
                    i = -1250232234;
                    break;
                case true:
                    i = 98126793;
                    break;
                case true:
                    i = 1664141086;
                    break;
                case true:
                    i = -496630555;
                    break;
                case true:
                    i = -659919973;
                    break;
                case true:
                    i = 852876693;
                    break;
                case true:
                    i = -1192104724;
                    break;
                case true:
                    i = 407739207;
                    break;
                case true:
                    i = 1434174484;
                    break;
                case true:
                    i = 1978977213;
                    break;
                case true:
                    i = 1352345276;
                    break;
                case true:
                    i = -394595981;
                    break;
                case true:
                    i = 823259426;
                    break;
                case true:
                    i = -1904360510;
                    break;
                case true:
                    i = -370358193;
                    break;
                case true:
                    i = -1886922740;
                    break;
                case true:
                    i = 1774212801;
                    break;
                case true:
                    i = -15320557;
                    break;
                case true:
                    i = 1301994944;
                    break;
                case true:
                    i = -1457883439;
                    break;
                case true:
                    i = 1682747798;
                    break;
                case true:
                    i = -2008124025;
                    break;
                case true:
                    i = 301274195;
                    break;
                case true:
                    i = 2037413581;
                    break;
                case true:
                    i = 564632108;
                    break;
                case true:
                    i = -1310905539;
                    break;
                case true:
                    i = -772013722;
                    break;
                case true:
                    i = -960364979;
                    break;
                case true:
                    i = 8952635;
                    break;
                case true:
                    i = 965509119;
                    break;
                case true:
                    i = -1061008152;
                    break;
                case true:
                    i = 228610130;
                    break;
                case true:
                    i = 698818367;
                    break;
                case true:
                    i = -1613612009;
                    break;
                case true:
                    i = -272714643;
                    break;
                case true:
                    i = 1230842019;
                    break;
                case true:
                    i = 555337518;
                    break;
                case true:
                    i = 993563302;
                    break;
                case true:
                    i = 1771966953;
                    break;
                case true:
                    i = 1690640373;
                    break;
                case true:
                    i = 1475993420;
                    break;
                case true:
                    i = -1940144584;
                    break;
                case true:
                    i = -1435323208;
                    break;
                case true:
                    i = -1320634214;
                    break;
                case true:
                    i = 117505194;
                    break;
                case true:
                    i = -7055708;
                    break;
                case true:
                    i = -468662921;
                    break;
                case true:
                    i = 1347737352;
                    break;
                case true:
                    i = 1639124291;
                    break;
                case true:
                    i = -693293186;
                    break;
                case true:
                    i = -1472361482;
                    break;
                case true:
                    i = 894750828;
                    break;
                case true:
                    i = 570904714;
                    break;
                case true:
                    i = -947975146;
                    break;
                case true:
                    i = -330187313;
                    break;
                case true:
                    i = -1947908110;
                    break;
                case true:
                    i = 447152929;
                    break;
                case true:
                    i = -1824815064;
                    break;
                case true:
                    i = 827146924;
                    break;
                case true:
                    i = -1369405818;
                    break;
                case true:
                    i = -2113875867;
                    break;
                case true:
                    i = -925630410;
                    break;
                case true:
                    i = -497220855;
                    break;
                case true:
                    i = 442636014;
                    break;
                case true:
                    i = -555995826;
                    break;
                case true:
                    i = 1384141808;
                    break;
                case true:
                    i = -2001096757;
                    break;
                case true:
                    i = -1402423216;
                    break;
                case true:
                    i = 1208501243;
                    break;
                case true:
                    i = -701182765;
                    break;
                case true:
                    i = 1087415044;
                    break;
                case true:
                    i = -291830978;
                    break;
                case true:
                    i = 678827182;
                    break;
                case true:
                    i = 1108711109;
                    break;
                case true:
                    i = 1209419677;
                    break;
                case true:
                    i = 304367497;
                    break;
                case true:
                    i = 398848407;
                    break;
                case true:
                    i = -1142329694;
                    break;
                case true:
                    i = -2030858202;
                    break;
                case true:
                    i = -1276869886;
                    break;
                case true:
                    i = 21786665;
                    break;
                case true:
                    i = 745837402;
                    break;
                case true:
                    i = -1925805096;
                    break;
                case true:
                    i = 1569163584;
                    break;
                case true:
                    i = -1189903830;
                    break;
                case true:
                    i = -1866456397;
                    break;
                case true:
                    i = -1685581604;
                    break;
                case true:
                    i = -1463509344;
                    break;
                case true:
                    i = -207598386;
                    break;
                case true:
                    i = 1524714430;
                    break;
                case true:
                    i = 2011627941;
                    break;
                case true:
                    i = 1959338898;
                    break;
                case true:
                    i = 311355925;
                    break;
                case true:
                    i = 1830231432;
                    break;
                case true:
                    i = 4964404;
                    break;
                case true:
                    i = 48640035;
                    break;
                case true:
                    i = 1503738974;
                    break;
                case true:
                    i = -2075337259;
                    break;
                case true:
                    i = -1415792279;
                    break;
                case true:
                    i = 1757552452;
                    break;
                case true:
                    i = 1710122621;
                    break;
                case true:
                    i = 1434062200;
                    break;
                case true:
                    i = -2008603756;
                    break;
                case true:
                    i = 1087137861;
                    break;
                case true:
                    i = 1874108717;
                    break;
                case true:
                    i = -1019694981;
                    break;
                case true:
                    i = 1197303975;
                    break;
                case true:
                    i = 516119935;
                    break;
                case true:
                    i = 1059555212;
                    break;
                case true:
                    i = -1451399197;
                    break;
                case true:
                    i = -1521564678;
                    break;
                case true:
                    i = 587243746;
                    break;
                case true:
                    i = 1504771085;
                    break;
                case true:
                    i = 65301714;
                    break;
                case true:
                    i = 207753332;
                    break;
                case true:
                    i = 1027233090;
                    break;
                case true:
                    i = -675590074;
                    break;
                case true:
                    i = 314675505;
                    break;
                case true:
                    i = -883433700;
                    break;
                case true:
                    i = -1011579516;
                    break;
                case true:
                    i = 1602180291;
                    break;
                case true:
                    i = 2068891548;
                    break;
                case true:
                    i = 976631863;
                    break;
                case true:
                    i = 129966168;
                    break;
                case true:
                    i = -944151701;
                    break;
                case true:
                    i = -1018703969;
                    break;
                case true:
                    i = -628969255;
                    break;
                case true:
                    i = 1762823733;
                    break;
                case true:
                    i = 30715240;
                    break;
                case true:
                    i = 2128682056;
                    break;
                case true:
                    i = -44714265;
                    break;
                case true:
                    i = 275110473;
                    break;
                case true:
                    i = -1102300112;
                    break;
                case true:
                    i = -847050767;
                    break;
                case true:
                    i = -84134030;
                    break;
                case true:
                    i = 1001832875;
                    break;
                case true:
                    i = 737510759;
                    break;
                case true:
                    i = -2086282794;
                    break;
                case true:
                    i = 730531233;
                    break;
                case true:
                    i = -982691985;
                    break;
                case true:
                    i = -1545569237;
                    break;
                case true:
                    i = -2083629912;
                    break;
                case true:
                    i = -669410205;
                    break;
                case true:
                    i = 641061;
                    break;
                case true:
                    i = -1279954415;
                    break;
                case true:
                    i = 597276511;
                    break;
                case true:
                    i = 1871720284;
                    break;
                case true:
                    i = -341508999;
                    break;
                case true:
                    i = -130463172;
                    break;
                case true:
                    i = 406022194;
                    break;
                case true:
                    i = -1303436967;
                    break;
                case true:
                    i = 1316510574;
                    break;
                case true:
                    i = -1926971792;
                    break;
                case true:
                    i = -967063990;
                    break;
                case true:
                    i = -206288954;
                    break;
                case true:
                    i = 119822583;
                    break;
                case true:
                    i = 1996733447;
                    break;
                case true:
                    i = 682279151;
                    break;
                case true:
                    i = 1373938459;
                    break;
                case true:
                    i = -1950288790;
                    break;
                case true:
                    i = -1818353256;
                    break;
                case true:
                    i = -231717127;
                    break;
                case true:
                    i = 294088499;
                    break;
                case true:
                    i = -1926399049;
                    break;
                case true:
                    i = 230380918;
                    break;
                case true:
                    i = 2134876934;
                    break;
                case true:
                    i = 2122950654;
                    break;
                case true:
                    i = 265410482;
                    break;
                case true:
                    i = -1910078115;
                    break;
                case true:
                    i = 1498567923;
                    break;
                case true:
                    i = -1966116935;
                    break;
                case true:
                    i = 2069168738;
                    break;
                case true:
                    i = -168718118;
                    break;
                case true:
                    i = 281147806;
                    break;
                case true:
                    i = 1110113683;
                    break;
                case true:
                    i = 2129750240;
                    break;
                case true:
                    i = 558946239;
                    break;
                case true:
                    i = 1860199098;
                    break;
                case true:
                    i = 1447486928;
                    break;
                case true:
                    i = -1723246380;
                    break;
                case true:
                    i = 1464500110;
                    break;
                case true:
                    i = 804252126;
                    break;
                case true:
                    i = -408161763;
                    break;
                case true:
                    i = 1445646761;
                    break;
                case true:
                    i = -1256722859;
                    break;
                case true:
                    i = -1376943216;
                    break;
                case true:
                    i = 417919776;
                    break;
                case true:
                    i = 1003699578;
                    break;
                case true:
                    i = 750810715;
                    break;
                case true:
                    i = -29274140;
                    break;
                case true:
                    i = 1483017706;
                    break;
                case true:
                    i = 288946215;
                    break;
                case true:
                    i = -245333512;
                    break;
                case true:
                    i = -998144893;
                    break;
                case true:
                    i = -87322606;
                    break;
                case true:
                    i = -655775900;
                    break;
                case true:
                    i = 1224787284;
                    break;
                case true:
                    i = 1589575309;
                    break;
                case true:
                    i = 898261002;
                    break;
                case true:
                    i = 493471513;
                    break;
                case true:
                    i = 1477781786;
                    break;
                case true:
                    i = -2087593547;
                    break;
                case true:
                    i = -1530241735;
                    break;
                case true:
                    i = 502461180;
                    break;
                case true:
                    i = 1039370672;
                    break;
                case true:
                    i = 311414781;
                    break;
                case true:
                    i = -858034709;
                    break;
                case true:
                    i = 36946704;
                    break;
                case true:
                    i = -1341229759;
                    break;
                case true:
                    i = -868396044;
                    break;
                case true:
                    i = -628879733;
                    break;
                case true:
                    i = -2104665140;
                    break;
                case true:
                    i = -1681881167;
                    break;
                case true:
                    i = 841320965;
                    break;
                case true:
                    i = -767651354;
                    break;
                case true:
                    i = -981996021;
                    break;
                case true:
                    i = 1748570567;
                    break;
                case true:
                    i = -1311460996;
                    break;
                case true:
                    i = 1382834605;
                    break;
                case true:
                    i = -2089233535;
                    break;
                case true:
                    i = 1944262786;
                    break;
                case true:
                    i = -382496593;
                    break;
                case true:
                    i = -1708522107;
                    break;
                case true:
                    i = -1767242060;
                    break;
                case true:
                    i = -693372847;
                    break;
                case true:
                    i = -1350961845;
                    break;
                case true:
                    i = 603236878;
                    break;
                case true:
                    i = -897836457;
                    break;
                case true:
                    i = 1293886244;
                    break;
                case true:
                    i = 920217441;
                    break;
                case true:
                    i = 1794929781;
                    break;
                case true:
                    i = 962134491;
                    break;
                case true:
                    i = 1000389984;
                    break;
                case true:
                    i = 526422425;
                    break;
                case true:
                    i = 1645013215;
                    break;
                case true:
                    i = -1990251077;
                    break;
                case true:
                    i = -1117179964;
                    break;
                case true:
                    i = 1990919626;
                    break;
                case true:
                    i = 1571231432;
                    break;
                case true:
                    i = 2094132271;
                    break;
                case true:
                    i = -1132472006;
                    break;
                case true:
                    i = 418930712;
                    break;
                case true:
                    i = 1048538737;
                    break;
                case true:
                    i = 928319926;
                    break;
                case true:
                    i = -1357677609;
                    break;
                case true:
                    i = -1568607087;
                    break;
                case true:
                    i = 810246365;
                    break;
                case true:
                    i = 1272385152;
                    break;
                case true:
                    i = 527635437;
                    break;
                case true:
                    i = 2056090371;
                    break;
                case true:
                    i = 1625890785;
                    break;
                case true:
                    i = -1318145024;
                    break;
                default:
                    i = -288215760;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == true) {
            return;
        }
        Object[] objArr2 = new Object[1];
        a = objArr2;
        int i7 = 0;
        do {
            int i8 = i7;
            int i9 = i7 + 1;
            int i10 = i9 + 1;
            int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
            byte[] bArr = new byte[i11];
            System.arraycopy(doFinal, i10, bArr, 0, i11);
            i7 = i10 + i11;
            int i12 = i6;
            i6++;
            objArr2[i12] = new String(bArr, "UTF-8").intern();
        } while (i7 != i4);
    }

    /* JADX WARN: Code restructure failed: missing block: B:100:0x01a3, code lost:
    
        cn.dg32z.lon.utils.nmsutil.GetBoundingBox.expandBoundingBoxByEntityDimensions(r0, r17.player, r17.entity);
     */
    /* JADX WARN: Code restructure failed: missing block: B:101:0x01bc, code lost:
    
        if ((1315.6131591796875d - 0.2d) == 1315.4132f) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:102:0x04a2, code lost:
    
        r60 = r60 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:105:0x0543, code lost:
    
        r58 = getOverlapOfBoxes(r57);
     */
    /* JADX WARN: Code restructure failed: missing block: B:106:0x0557, code lost:
    
        if ((907.4116821289062d - 0.3d) != 907.1117f) goto L115;
     */
    /* JADX WARN: Code restructure failed: missing block: B:108:0x03f1, code lost:
    
        if (r58 != cn.dg32z.lon.utils.collisions.datatypes.NoCollisionBox.INSTANCE) goto L125;
     */
    /* JADX WARN: Code restructure failed: missing block: B:10:0x0405, code lost:
    
        r37 = ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).maxY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:110:0x03ff, code lost:
    
        if ((1327.2993f - 9.35015f) == 1317.9492f) goto L61;
     */
    /* JADX WARN: Code restructure failed: missing block: B:111:0x00d6, code lost:
    
        r39 = java.lang.Math.max(r39, ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).minZ);
     */
    /* JADX WARN: Code restructure failed: missing block: B:112:0x00ee, code lost:
    
        if ((1040.192626953125d - 0.8d) != 1039.3926f) goto L47;
     */
    /* JADX WARN: Code restructure failed: missing block: B:113:0x01eb, code lost:
    
        r41 = java.lang.Math.min(r41, ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).maxZ);
     */
    /* JADX WARN: Code restructure failed: missing block: B:114:0x0202, code lost:
    
        if ((767.1682f - 11.683151f) == 755.48505f) goto L97;
     */
    /* JADX WARN: Code restructure failed: missing block: B:116:0x0600, code lost:
    
        return new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox(r31, r35, r39, r33, r37, r41);
     */
    /* JADX WARN: Code restructure failed: missing block: B:118:0x05ec, code lost:
    
        return cn.dg32z.lon.utils.collisions.datatypes.NoCollisionBox.INSTANCE;
     */
    /* JADX WARN: Code restructure failed: missing block: B:119:0x03d4, code lost:
    
        r39 = ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).minZ;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0418, code lost:
    
        if ((959.0157470703125d - 0.2d) == 958.81573f) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:120:0x03e6, code lost:
    
        if ((641.39386f - 8.430152f) == 632.9637f) goto L147;
     */
    /* JADX WARN: Code restructure failed: missing block: B:121:0x0509, code lost:
    
        r41 = ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).maxZ;
     */
    /* JADX WARN: Code restructure failed: missing block: B:122:0x051b, code lost:
    
        if ((790.73126f - 12.424971f) != 778.3063f) goto L162;
     */
    /* JADX WARN: Code restructure failed: missing block: B:123:0x020e, code lost:
    
        r43 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:124:0x0242, code lost:
    
        r41 = Double.POSITIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:125:0x0253, code lost:
    
        if ((927.031005859375d - 0.2d) == 926.831f) goto L51;
     */
    /* JADX WARN: Code restructure failed: missing block: B:126:0x016e, code lost:
    
        r43 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:127:0x017c, code lost:
    
        if ((1179.9631f - 10.155838f) != 1169.8073f) goto L106;
     */
    /* JADX WARN: Code restructure failed: missing block: B:128:0x02f9, code lost:
    
        r44 = r17.interpolationStepsLowBound;
     */
    /* JADX WARN: Code restructure failed: missing block: B:129:0x030b, code lost:
    
        if ((543.4749755859375d - 0.2d) != 543.27496f) goto L69;
     */
    /* JADX WARN: Code restructure failed: missing block: B:131:0x025c, code lost:
    
        return cn.dg32z.lon.utils.collisions.datatypes.NoCollisionBox.INSTANCE;
     */
    /* JADX WARN: Code restructure failed: missing block: B:132:0x00b1, code lost:
    
        r19 = (r17.targetLocation.minX - r17.startingLocation.minX) / r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:133:0x00d0, code lost:
    
        if ((1315.4561767578125d - 0.4d) != 1315.0562f) goto L162;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x014a, code lost:
    
        if (r31 > r33) goto L168;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0152, code lost:
    
        if (r35 > r37) goto L168;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x015a, code lost:
    
        if (r39 <= r41) goto L170;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0168, code lost:
    
        if ((1493.4407f - 5.7474184f) != 1487.6932f) goto L159;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0586, code lost:
    
        r35 = java.lang.Math.max(r35, ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).minY);
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x059d, code lost:
    
        if ((565.8911f - 8.399928f) == 557.4912f) goto L138;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x04a8, code lost:
    
        r37 = java.lang.Math.min(r37, ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).maxY);
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x04bf, code lost:
    
        if ((854.6051f - 10.421508f) != 844.1836f) goto L44;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x01c2, code lost:
    
        r57[0] = new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox(r45, r49, r53, r45, r49, r53);
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x01e5, code lost:
    
        if ((758.1009521484375d - 0.7d) == 757.40094f) goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x025d, code lost:
    
        r27 = (r17.targetLocation.minZ - r17.startingLocation.minZ) / r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x027c, code lost:
    
        if ((1214.8441f - 9.624875f) == 1205.2192f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x008b, code lost:
    
        r29 = (r17.targetLocation.maxZ - r17.startingLocation.maxZ) / r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x00ab, code lost:
    
        if ((1267.557861328125d - 0.6d) != 1266.9579f) goto L83;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x0311, code lost:
    
        r31 = Double.NEGATIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0322, code lost:
    
        if ((665.0009155273438d - 0.1d) == 664.90094f) goto L55;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x035e, code lost:
    
        r33 = Double.POSITIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x036f, code lost:
    
        if ((542.9774780273438d - 0.8d) == 542.1775f) goto L125;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x0422, code lost:
    
        r59 = (cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r58;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x0434, code lost:
    
        if ((712.5192f - 14.99468f) == 697.52454f) goto L18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x010f, code lost:
    
        if (r43 == false) goto L74;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x011e, code lost:
    
        if ((810.4913330078125d - 0.6d) != 809.89136f) goto L128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x03ce, code lost:
    
        if ((905.34534f - 12.2992325f) == 893.0461f) goto L9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x02be, code lost:
    
        r31 = java.lang.Math.max(r31, ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).minX);
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x02d5, code lost:
    
        if ((1010.5213f - 6.791252f) != 1003.73004f) goto L44;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x04c5, code lost:
    
        r33 = java.lang.Math.min(r33, ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).maxX);
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x04dd, code lost:
    
        if ((891.994384765625d - 0.2d) == 891.7944f) goto L144;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x04e3, code lost:
    
        r23 = (r17.targetLocation.minY - r17.startingLocation.minY) / r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x0503, code lost:
    
        if ((1478.580078125d - 0.3d) == 1478.28f) goto L134;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x047c, code lost:
    
        r25 = (r17.targetLocation.maxY - r17.startingLocation.maxY) / r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x049c, code lost:
    
        if ((1150.369140625d - 0.8d) != 1149.5691f) goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x02aa, code lost:
    
        if (r44 > r17.interpolationStepsHighBound) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:4:0x022c, code lost:
    
        r37 = Double.POSITIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x02b8, code lost:
    
        if ((686.4131f - 12.271093f) == 674.14197f) goto L106;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x039e, code lost:
    
        r45 = r17.startingLocation.minX + (r44 * r19);
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x03b8, code lost:
    
        if ((1319.9207f - 6.5798454f) != 1313.3408f) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x05c8, code lost:
    
        r47 = r17.startingLocation.maxX + (r44 * r21);
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x05e3, code lost:
    
        if ((1433.9939f - 12.550317f) == 1421.4436f) goto L150;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x0521, code lost:
    
        r49 = r17.startingLocation.minY + (r44 * r23);
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x053d, code lost:
    
        if ((515.4207763671875d - 0.6d) == 514.8208f) goto L61;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x0124, code lost:
    
        r0 = r17.startingLocation.maxY + (r44 * r25);
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x013f, code lost:
    
        if ((501.2846f - 6.2768993f) != 495.00772f) goto L150;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x023c, code lost:
    
        if ((950.7284f - 14.478656f) == 936.24976f) goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x0282, code lost:
    
        r53 = r17.startingLocation.minZ + (r44 * r27);
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x029e, code lost:
    
        if ((619.1029663085938d - 0.1d) == 619.003f) goto L162;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x05a3, code lost:
    
        r21 = (r17.targetLocation.maxX - r17.startingLocation.maxX) / r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x05c2, code lost:
    
        if ((692.5675f - 8.671713f) == 683.8958f) goto L144;
     */
    /* JADX WARN: Code restructure failed: missing block: B:65:0x037a, code lost:
    
        if (r31 > r33) goto L123;
     */
    /* JADX WARN: Code restructure failed: missing block: B:67:0x0382, code lost:
    
        if (r35 > r37) goto L123;
     */
    /* JADX WARN: Code restructure failed: missing block: B:69:0x038a, code lost:
    
        if (r39 <= r41) goto L50;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x0328, code lost:
    
        r39 = Double.NEGATIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:70:0x0208, code lost:
    
        r44 = r44 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:0x0398, code lost:
    
        if ((1322.9956f - 12.89596f) == 1310.0996f) goto L123;
     */
    /* JADX WARN: Code restructure failed: missing block: B:74:0x0421, code lost:
    
        return cn.dg32z.lon.utils.collisions.datatypes.NoCollisionBox.INSTANCE;
     */
    /* JADX WARN: Code restructure failed: missing block: B:76:0x0182, code lost:
    
        r55 = r17.startingLocation.maxZ + (r44 * r29);
     */
    /* JADX WARN: Code restructure failed: missing block: B:77:0x019d, code lost:
    
        if ((1483.0977f - 14.425261f) != 1468.6724f) goto L86;
     */
    /* JADX WARN: Code restructure failed: missing block: B:78:0x0073, code lost:
    
        r57 = new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox[4];
     */
    /* JADX WARN: Code restructure failed: missing block: B:79:0x0085, code lost:
    
        if ((555.6262817382812d - 0.1d) == 555.5263f) goto L58;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0339, code lost:
    
        if ((967.682861328125d - 0.3d) == 967.3829f) goto L172;
     */
    /* JADX WARN: Code restructure failed: missing block: B:80:0x00f4, code lost:
    
        r35 = ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).minY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:81:0x0107, code lost:
    
        if ((717.1171875d - 0.2d) == 716.9172f) goto L18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:82:0x043a, code lost:
    
        r31 = ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).minX;
     */
    /* JADX WARN: Code restructure failed: missing block: B:83:0x044d, code lost:
    
        if ((531.723876953125d - 0.1d) == 531.6239f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:84:0x0214, code lost:
    
        r33 = ((cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox) r59).maxX;
     */
    /* JADX WARN: Code restructure failed: missing block: B:85:0x0226, code lost:
    
        if ((887.9457f - 13.908334f) != 874.03735f) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:86:0x0617, code lost:
    
        r57[1] = new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox(r47, r49, r53, r47, r49, r53);
     */
    /* JADX WARN: Code restructure failed: missing block: B:87:0x063a, code lost:
    
        if ((506.3388366699219d - 0.6d) == 505.73883f) goto L128;
     */
    /* JADX WARN: Code restructure failed: missing block: B:88:0x0453, code lost:
    
        r57[2] = new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox(r45, r49, r55, r45, r49, r55);
     */
    /* JADX WARN: Code restructure failed: missing block: B:89:0x0476, code lost:
    
        if ((958.1943359375d - 0.1d) != 958.09436f) goto L156;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0601, code lost:
    
        r35 = Double.NEGATIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:90:0x055d, code lost:
    
        r57[3] = new cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox(r47, r49, r55, r47, r49, r55);
     */
    /* JADX WARN: Code restructure failed: missing block: B:91:0x0580, code lost:
    
        if ((934.06787109375d - 0.8d) != 933.2679f) goto L77;
     */
    /* JADX WARN: Code restructure failed: missing block: B:92:0x02db, code lost:
    
        r58 = r57;
        r59 = r58.length;
        r60 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:93:0x02f3, code lost:
    
        if ((826.8972778320312d - 0.6d) == 826.2973f) goto L181;
     */
    /* JADX WARN: Code restructure failed: missing block: B:96:0x0343, code lost:
    
        if (r60 >= r59) goto L179;
     */
    /* JADX WARN: Code restructure failed: missing block: B:97:0x0346, code lost:
    
        r0 = r58[r60];
     */
    /* JADX WARN: Code restructure failed: missing block: B:98:0x0358, code lost:
    
        if ((1120.6482f - 6.6695046f) == 1113.9786f) goto L180;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0611, code lost:
    
        if ((1161.1797f - 13.380455f) == 1147.7992f) goto L55;
     */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v204, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r0v270, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r0v275, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r0v280, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r0v89, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r0v94, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r0v99, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r1v120, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r1v124, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r1v163, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r1v167, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r1v171, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r1v176, types: [cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox] */
    /* JADX WARN: Type inference failed for: r1v23, types: [cn.dg32z.lon.utils.collisions.datatypes.NoCollisionBox] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:104:0x03f1 -> B:34:0x0422). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:106:0x03ff -> B:100:0x04a2). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:125:0x030b -> B:6:0x0328). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:21:0x059d -> B:8:0x0601). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:31:0x0322 -> B:4:0x022c). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:33:0x036f -> B:8:0x0601). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:39:0x011e -> B:26:0x025d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:41:0x02d5 -> B:24:0x01c2). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:43:0x04dd -> B:20:0x0586). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:47:0x049c -> B:26:0x025d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:49:0x02aa -> B:12:0x0145). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:55:0x05e3 -> B:120:0x0242). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:59:0x013f -> B:56:0x0521). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:63:0x05c2 -> B:64:0x0375). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:77:0x019d -> B:6:0x0328). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:77:0x019d -> B:78:0x0073). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:79:0x0085 -> B:24:0x01c2). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:81:0x0107 -> B:10:0x0405). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:81:0x0107 -> B:36:0x010d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:91:0x0580 -> B:12:0x0145). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:99:0x01bc -> B:100:0x04a2). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:9:0x0611 -> B:4:0x022c). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public cn.dg32z.lon.utils.collisions.datatypes.CollisionBox getOverlapHitboxCombined() {
        /*
            Method dump skipped, instructions count: 1602
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.ReachInterpolationData.getOverlapHitboxCombined():cn.dg32z.lon.utils.collisions.datatypes.CollisionBox");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void expandNonRelative() {
        do {
            this.expandNonRelative = true;
        } while (1179.55810546875d - 0.9d == 1178.6581f);
    }

    /* JADX WARN: Code restructure failed: missing block: B:7:0x006c, code lost:
    
        if ((530.929f - 14.106953f) != 516.8221f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0024, code lost:
    
        r0.expand(0.03125d, 0.015625d, 0.03125d);
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x003e, code lost:
    
        if ((1427.676025390625d - 0.8d) == 1426.876f) goto L23;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox getPossibleHitboxCombined() {
        /*
            r8 = this;
            r0 = 0
            r9 = r0
            goto L44
        L5:
            r0 = r9
            return r0
        L7:
            r0 = r9
            r1 = r8
            cn.dg32z.lon.player.PlayerData r1 = r1.player
            r2 = r8
            cn.dg32z.lon.utils.data.packetentity.PacketEntity r2 = r2.entity
            cn.dg32z.lon.utils.nmsutil.GetBoundingBox.expandBoundingBoxByEntityDimensions(r0, r1, r2)
            r0 = 1148078232(0x446e4898, float:953.1343)
            r1 = 1094378933(0x413ae5b5, float:11.681081)
            float r0 = r0 - r1
            r1 = 1147886849(0x446b5d01, float:941.4532)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L5
            goto L7
        L24:
            r0 = r9
            r1 = 4584664420663164928(0x3fa0000000000000, double:0.03125)
            r2 = 4580160821035794432(0x3f90000000000000, double:0.015625)
            r3 = 4584664420663164928(0x3fa0000000000000, double:0.03125)
            cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r0 = r0.expand(r1, r2, r3)
            r0 = 4653993801008807936(0x40964eb440000000, double:1427.676025390625)
            r1 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r0 = r0 - r1
            r1 = 1152539656(0x44b25c08, float:1426.876)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L24
            goto L7
        L44:
            r0 = r8
            cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox r0 = r0.getPossibleLocationCombined()
            r9 = r0
            r0 = 1140565820(0x43fba73c, float:503.30652)
            r1 = 1091069548(0x4108666c, float:8.525005)
            float r0 = r0 - r1
            r1 = 1140286473(0x43f76409, float:494.78152)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L7
            goto L5a
        L5a:
            r0 = r8
            boolean r0 = r0.expandNonRelative
            if (r0 == 0) goto L7
            r0 = 1141160821(0x4404bb75, float:530.929)
            r1 = 1096922644(0x4161b614, float:14.106953)
            float r0 = r0 - r1
            r1 = 1140929693(0x4401349d, float:516.8221)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L24
            goto L5
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.ReachInterpolationData.getPossibleHitboxCombined():cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox");
    }

    /* JADX WARN: Code restructure failed: missing block: B:18:0x00bb, code lost:
    
        if ((673.2904f - 7.97302f) != 665.3174f) goto L60;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x016c, code lost:
    
        if ((1131.8206787109375d - 0.6d) == 1131.2207f) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x0195, code lost:
    
        if ((1253.6859f - 14.357292f) == 1239.3286f) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x00a5, code lost:
    
        if ((1385.570556640625d - 0.1d) != 1385.4706f) goto L3;
     */
    /* JADX WARN: Removed duplicated region for block: B:42:0x013f  */
    /* JADX WARN: Removed duplicated region for block: B:44:0x018a  */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:30:0x0139 -> B:19:0x00c1). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:42:0x0195 -> B:25:0x00e0). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static cn.dg32z.lon.utils.collisions.datatypes.CollisionBox getOverlapHitbox(cn.dg32z.lon.utils.collisions.datatypes.CollisionBox r15, cn.dg32z.lon.utils.collisions.datatypes.CollisionBox r16) {
        /*
            Method dump skipped, instructions count: 417
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.ReachInterpolationData.getOverlapHitbox(cn.dg32z.lon.utils.collisions.datatypes.CollisionBox, cn.dg32z.lon.utils.collisions.datatypes.CollisionBox):cn.dg32z.lon.utils.collisions.datatypes.CollisionBox");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private int getInterpolationSteps() {
        return this.interpolationSteps;
    }

    public ReachInterpolationData(PlayerData playerData, SimpleCollisionBox simpleCollisionBox, PacketEntity packetEntity) {
        this.interpolationStepsLowBound = 0;
        this.interpolationStepsHighBound = 0;
        this.interpolationSteps = 1;
        this.expandNonRelative = false;
        this.startingLocation = simpleCollisionBox;
        this.targetLocation = simpleCollisionBox;
        this.entity = packetEntity;
        this.player = playerData;
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x01cc, code lost:
    
        r19 = r33.maxX;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x01de, code lost:
    
        if ((1069.2003f - 5.2355886f) == 1063.9647f) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x011c, code lost:
    
        r21 = r33.minY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x012e, code lost:
    
        if ((1371.9736f - 5.1135774f) == 1366.8601f) goto L51;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0185, code lost:
    
        r23 = r33.maxY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0197, code lost:
    
        if ((1137.5022f - 7.8252745f) != 1129.6769f) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0229, code lost:
    
        r27 = r33.maxZ;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x023b, code lost:
    
        if ((1113.6987f - 14.530087f) != 1099.1687f) goto L42;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0134, code lost:
    
        r25 = Double.NEGATIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0144, code lost:
    
        if ((1316.5923f - 8.904001f) == 1307.6882f) goto L18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0091, code lost:
    
        r27 = Double.POSITIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x00a1, code lost:
    
        if ((966.119f - 11.144533f) != 954.9745f) goto L82;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x027f, code lost:
    
        return cn.dg32z.lon.utils.collisions.datatypes.NoCollisionBox.INSTANCE;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x019d, code lost:
    
        r25 = r33.minZ;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x01b0, code lost:
    
        if ((791.5147705078125d - 0.9d) == 790.61475f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x0033, code lost:
    
        if (r17 > r19) goto L82;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x003b, code lost:
    
        if (r21 > r23) goto L82;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x0043, code lost:
    
        if (r25 <= r27) goto L84;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x0051, code lost:
    
        if ((1205.1233f - 10.184713f) != 1194.9386f) goto L78;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x0280, code lost:
    
        r32 = r32 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x00c1, code lost:
    
        if (r32 >= r31) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x00c4, code lost:
    
        r33 = r30[r32];
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x00d6, code lost:
    
        if ((880.3127f - 9.707471f) != 870.6052f) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x0108, code lost:
    
        if (r29 == false) goto L69;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0116, code lost:
    
        if ((1194.8865f - 10.8652115f) == 1184.0212f) goto L78;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0057, code lost:
    
        r21 = java.lang.Math.max(r21, r33.minY);
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x006e, code lost:
    
        if ((635.9302f - 5.0608487f) != 630.8693f) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x0241, code lost:
    
        r23 = java.lang.Math.min(r23, r33.maxY);
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x0259, code lost:
    
        if ((729.572509765625d - 0.8d) != 728.7725f) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0168, code lost:
    
        r25 = java.lang.Math.max(r25, r33.minZ);
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x017f, code lost:
    
        if ((979.63245f - 12.114477f) == 967.51794f) goto L90;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x0286, code lost:
    
        r27 = java.lang.Math.min(r27, r33.maxZ);
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x029e, code lost:
    
        if ((622.33740234375d - 0.9d) != 621.4374f) goto L3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x020e, code lost:
    
        r17 = java.lang.Math.max(r17, r33.minX);
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x0223, code lost:
    
        if ((1094.0776f - 11.558863f) != 1082.5188f) goto L85;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x014a, code lost:
    
        r19 = java.lang.Math.min(r19, r33.maxX);
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x0162, code lost:
    
        if ((957.9462890625d - 0.1d) != 957.8463f) goto L12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x0276, code lost:
    
        r29 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x0208, code lost:
    
        if ((1006.1296f - 14.112886f) != 992.01666f) goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x01b6, code lost:
    
        r23 = Double.POSITIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x01c6, code lost:
    
        if ((632.48773f - 6.259876f) != 626.22784f) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x01e4, code lost:
    
        r29 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x01f2, code lost:
    
        if ((1391.8379f - 10.450506f) != 1381.3873f) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x0074, code lost:
    
        r30 = r16;
        r31 = r30.length;
        r32 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:65:0x008b, code lost:
    
        if ((954.86767578125d - 0.9d) != 953.96765f) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x00ef, code lost:
    
        r21 = Double.NEGATIVE_INFINITY;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0100, code lost:
    
        if ((1084.301025390625d - 0.4d) == 1083.901f) goto L78;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x025f, code lost:
    
        r17 = r33.minX;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0270, code lost:
    
        if ((1167.6902f - 10.4851265f) == 1157.2051f) goto L60;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:26:0x01b0 -> B:16:0x0229). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:34:0x0051 -> B:8:0x025f). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:35:0x0280 -> B:36:0x00bd). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:43:0x0116 -> B:8:0x025f). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:45:0x006e -> B:12:0x011c). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:47:0x0259 -> B:6:0x00ef). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:51:0x029e -> B:8:0x025f). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:55:0x0162 -> B:16:0x0229). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:60:0x01f2 -> B:12:0x011c). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private cn.dg32z.lon.utils.collisions.datatypes.CollisionBox getOverlapOfBoxes(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox[] r16) {
        /*
            Method dump skipped, instructions count: 678
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.utils.data.ReachInterpolationData.getOverlapOfBoxes(cn.dg32z.lon.utils.collisions.datatypes.SimpleCollisionBox[]):cn.dg32z.lon.utils.collisions.datatypes.CollisionBox");
    }

    private static Object a(char c) {
        return ((Object[]) a)[c];
    }
}
